org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface JmsDestinationType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface JmsDestinationType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `jms-destinationType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JmsDestinationType<T>` | `className(java.lang.String className)` Sets the `class-name` element
    `PropertyType<JmsDestinationType<T>>` | `createProperty()` Creates a new `property` element
    `JmsDestinationType<T>` | `description(java.lang.String description)` Sets the `description` element
    `JmsDestinationType<T>` | `destinationName(java.lang.String destinationName)` Sets the `destination-name` element
    `java.util.List<PropertyType<JmsDestinationType<T>>>` | `getAllProperty()` Returns all `property` elements
    `java.lang.String` | `getClassName()` Returns the `class-name` element
    `java.lang.String` | `getDescription()` Returns the `description` element
    `java.lang.String` | `getDestinationName()` Returns the `destination-name` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getName()` Returns the `name` element
    `PropertyType<JmsDestinationType<T>>` | `getOrCreateProperty()` If not already created, a new `property` element will be created and returned.
    `java.lang.String` | `getResourceAdapter()` Returns the `resource-adapter` element
    `JmsDestinationType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `JmsDestinationType<T>` | `name(java.lang.String name)` Sets the `name` element
    `JmsDestinationType<T>` | `removeAllProperty()` Removes all `property` elements
    `JmsDestinationType<T>` | `removeClassName()` Removes the `class-name` element
    `JmsDestinationType<T>` | `removeDescription()` Removes the `description` element
    `JmsDestinationType<T>` | `removeDestinationName()` Removes the `destination-name` element
    `JmsDestinationType<T>` | `removeId()` Removes the `id` attribute
    `JmsDestinationType<T>` | `removeName()` Removes the `name` element
    `JmsDestinationType<T>` | `removeResourceAdapter()` Removes the `resource-adapter` element
    `JmsDestinationType<T>` | `resourceAdapter(java.lang.String resourceAdapter)` Sets the `resource-adapter` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          JmsDestinationType<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `JmsDestinationType`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          JmsDestinationType<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `JmsDestinationType`

    - #### name

          JmsDestinationType<T> name(java.lang.String name)

      Sets the `name` element
      Parameters:
        `name` - the value for the element `name`
      Returns:
        the current instance of `JmsDestinationType`

    - #### getName

          java.lang.String getName()

      Returns the `name` element
      Returns:
        the node defined for the element `name`

    - #### removeName

          JmsDestinationType<T> removeName()

      Removes the `name` element
      Returns:
        the current instance of `JmsDestinationType`

    - #### className

          JmsDestinationType<T> className(java.lang.String className)

      Sets the `class-name` element
      Parameters:
        `className` - the value for the element `class-name`
      Returns:
        the current instance of `JmsDestinationType`

    - #### getClassName

          java.lang.String getClassName()

      Returns the `class-name` element
      Returns:
        the node defined for the element `class-name`

    - #### removeClassName

          JmsDestinationType<T> removeClassName()

      Removes the `class-name` element
      Returns:
        the current instance of `JmsDestinationType`

    - #### resourceAdapter

          JmsDestinationType<T> resourceAdapter(java.lang.String resourceAdapter)

      Sets the `resource-adapter` element
      Parameters:
        `resourceAdapter` - the value for the element `resource-adapter`
      Returns:
        the current instance of `JmsDestinationType`

    - #### getResourceAdapter

          java.lang.String getResourceAdapter()

      Returns the `resource-adapter` element
      Returns:
        the node defined for the element `resource-adapter`

    - #### removeResourceAdapter

          JmsDestinationType<T> removeResourceAdapter()

      Removes the `resource-adapter` element
      Returns:
        the current instance of `JmsDestinationType`

    - #### destinationName

          JmsDestinationType<T> destinationName(java.lang.String destinationName)

      Sets the `destination-name` element
      Parameters:
        `destinationName` - the value for the element `destination-name`
      Returns:
        the current instance of `JmsDestinationType`

    - #### getDestinationName

          java.lang.String getDestinationName()

      Returns the `destination-name` element
      Returns:
        the node defined for the element `destination-name`

    - #### removeDestinationName

          JmsDestinationType<T> removeDestinationName()

      Removes the `destination-name` element
      Returns:
        the current instance of `JmsDestinationType`

    - #### getOrCreateProperty

          PropertyType<JmsDestinationType<T>> getOrCreateProperty()

      If not already created, a new `property` element will be created and returned. Otherwise, the first existing `property` element will be returned.
      Returns:
        the instance defined for the element `property`

    - #### createProperty

          PropertyType<JmsDestinationType<T>> createProperty()

      Creates a new `property` element
      Returns:
        the new created instance of `PropertyType>`

    - #### getAllProperty

          java.util.List<PropertyType<JmsDestinationType<T>>> getAllProperty()

      Returns all `property` elements
      Returns:
        list of `property`

    - #### removeAllProperty

          JmsDestinationType<T> removeAllProperty()

      Removes all `property` elements
      Returns:
        the current instance of `PropertyType>`

    - #### id

          JmsDestinationType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `JmsDestinationType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          JmsDestinationType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `JmsDestinationType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)